## genometools 1.5.3

=== Makefile ===
#
# Copyright (c) 2006-2014 Gordon Gremme <gordon@gremme.org>
# Copyright (c) 2008-2014 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
# Copyright (c) 2006-2013 Center for Bioinformatics, University of Hamburg
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

INCLUDEOPT:=-I$(CURDIR)/src -I$(CURDIR)/obj \
            -I$(CURDIR)/src/external/zlib-1.2.8 \
            -I$(CURDIR)/src/external/md5-1.1.2/src \
            -I$(CURDIR)/src/external/lua-5.1.5/src \
            -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
            -I$(CURDIR)/src/external/lpeg-0.10.2 \
            -I$(CURDIR)/src/external/expat-2.0.1/lib \
            -I$(CURDIR)/src/external/bzip2-1.0.6 \
            -I$(CURDIR)/src/external/samtools-0.1.18 \
            -I$(CURDIR)/src/external/sqlite-3.8.0.1 \
            -I$(CURDIR)/src/external/tre/include/tre

ifeq ($(shell pkg-config --version > /dev/null 2> /dev/null; echo $$?),0)
  HAS_PKGCONFIG:=yes
else
  HAS_PKGCONFIG:=no
endif

ifneq ($(cairo),no)
  # XXX: check for existence of packages, and emit warning and disable cairo
  # if packages are not available
  ifeq ($(HAS_PKGCONFIG),yes)
	INCLUDEOPT+=$(shell pkg-config --silence-errors --cflags-only-I pango) \
	            $(shell pkg-config --silence-errors --cflags-only-I cairo) \
	            $(shell pkg-config --silence-errors --cflags-only-I pangocairo) \
	            $(shell pkg-config --silence-errors --cflags-only-I glib-2.0)
  endif
endif

ifneq ($(fpic),no)
  FPIC:=-fPIC
endif

# these variables are exported by the configuration script
ifndef CC
  CC:=gcc
endif
ifndef CXX
  CXX:=g++
endif
EXP_CFLAGS:=$(CFLAGS)
EXP_LDFLAGS:=$(LDFLAGS)
EXP_CXXFLAGS:=$(CXXFLAGS)
EXP_CPPFLAGS:=$(CPPFLAGS)
EXP_LDLIBS:=$(LIBS) -lm
# ...while those starting with GT_ are for internal purposes only
GT_CFLAGS:=-g -Wall -Wunused-parameter -pipe $(FPIC) -Wpointer-arith
# expat needs -DHAVE_MEMMOVE
# zlib needs -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
EXT_FLAGS:= -DHAVE_MEMMOVE -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
EXP_CPPFLAGS+=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(EXT_FLAGS)
GT_CPPFLAGS:=$(INCLUDEOPT)
GT_CXXFLAGS:=-g -pipe
GT_LDFLAGS:=-Llib
STEST_FLAGS:=
EXP_LDFLAGS+=$(foreach dir, \
	$(shell test -d /usr/local/lib && echo /usr/local/lib ; \
	        test -d /usr/X11R6/lib && echo /usr/X11R6/lib ; \
                test -d /opt/local/lib && echo /opt/local/lib),-L$(dir))
BUILDSTAMP:=$(shell date +'"%Y-%m-%d %H:%M:%S"')

# try to set RANLIB automatically
SYSTEM:=$(shell uname -s)
MACHINE:=$(shell uname -m)
ifeq ($(SYSTEM),Darwin)
  RANLIB:=ranlib
  NO_STATIC_LINKING:=defined
  SHARED:=-dynamiclib -undefined dynamic_lookup
  SHARED_OBJ_NAME_EXT:=.dylib
  ifeq ($(universal),yes)
    MACHINE:="Universal_Binary"
    GT_CFLAGS+=-arch i386 -arch ppc -arch_errors_fatal
    GT_LDFLAGS+=-arch i386 -arch ppc -arch_errors_fatal
  endif
  ifeq ($(ppc),yes)
    MACHINE:="Power_Macintosh"
    GT_CFLAGS+=-arch ppc -arch_errors_fatal
    GT_LDFLAGS+=-arch ppc -arch_errors_fatal
  endif
  # these tests are disabled for now on Mac
  TEST_KEYWORDS:=-keywords \
		'not gt_python and not gt_ruby and not gt_sketch and not gt_seqlensort'
else
  SHARED_OBJ_NAME_EXT:=.so
  SHARED:=-shared
endif

# compiled executables
GTMAIN_SRC:=src/gt.c src/gtr.c src/gtt.c src/interactive.c
GTMAIN_OBJ:=$(GTMAIN_SRC:%.c=obj/%.o)
GTMAIN_DEP:=$(GTMAIN_SRC:%.c=obj/%.d)

EXAMPLES_SRC:=src/example.c
EXAMPLES_DEP:=$(EXAMPLES_SRC:%.c=obj/%.d)

TOOLS_SRC:=$(wildcard src/tools/*.c)
TOOLS_OBJ:=$(TOOLS_SRC:%.c=obj/%.o)
TOOLS_DEP:=$(TOOLS_SRC:%.c=obj/%.d)

EXPAT_DIR:=src/external/expat-2.0.1/lib
LIBEXPAT_SRC:=$(EXPAT_DIR)/xmlparse.c $(EXPAT_DIR)/xmlrole.c \
              $(EXPAT_DIR)/xmltok.c
LIBEXPAT_OBJ:=$(LIBEXPAT_SRC:%.c=obj/%.o)
LIBEXPAT_DEP:=$(LIBEXPAT_SRC:%.c=obj/%.d)

TRE_DIR:=src/external/tre/lib
LIBTRE_SRC:=$(TRE_DIR)/regcomp.c $(TRE_DIR)/regerror.c $(TRE_DIR)/regexec.c \
            $(TRE_DIR)/tre-ast.c $(TRE_DIR)/tre-compile.c \
            $(TRE_DIR)/tre-filter.c $(TRE_DIR)/tre-match-backtrack.c \
            $(TRE_DIR)/tre-match-parallel.c $(TRE_DIR)/tre-mem.c \
            $(TRE_DIR)/tre-parse.c $(TRE_DIR)/tre-stack.c $(TRE_DIR)/xmalloc.c
LIBTRE_OBJ:=$(LIBTRE_SRC:%.c=obj/%.o)
LIBTRE_DEP:=$(LIBTRE_SRC:%.c=obj/%.d)

LIBLUA_SRC=src/lualib.c\
           src/external/md5-1.1.2/src/md5.c\
           src/external/md5-1.1.2/src/md5lib.c\
           src/external/md5-1.1.2/src/des56.c\
           src/external/md5-1.1.2/src/ldes56.c\
           src/external/luafilesystem-1.5.0/src/lfs.c\
           src/external/lpeg-0.10.2/lpeg.c
LIBLUA_OBJ:=$(LIBLUA_SRC:%.c=obj/%.o)
LIBLUA_DEP:=$(LIBLUA_SRC:%.c=obj/%.d)

LUAMAIN_SRC:=src/external/lua-5.1.5/etc/all.c
LUAMAIN_OBJ:=$(LUAMAIN_SRC:%.c=obj/%.o)
LUAMAIN_DEP:=$(LUAMAIN_SRC:%.c=obj/%.d)

BZ2_DIR:=src/external/bzip2-1.0.6
LIBBZ2_SRC:=$(BZ2_DIR)/blocksort.c $(BZ2_DIR)/huffman.c $(BZ2_DIR)/crctable.c \
            $(BZ2_DIR)/randtable.c $(BZ2_DIR)/compress.c \
            $(BZ2_DIR)/decompress.c $(BZ2_DIR)/bzlib.c
LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)

SQLITE3_DIR:=src/external/sqlite-3.8.2
SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)

ZLIB_DIR:=src/external/zlib-1.2.8
ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
          $(ZLIB_DIR)/gzclose.c $(ZLIB_DIR)/gzlib.c $(ZLIB_DIR)/gzread.c \
          $(ZLIB_DIR)/gzwrite.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
          $(ZLIB_DIR)/trees.c $(ZLIB_DIR)/zutil.c $(ZLIB_DIR)/inflate.c \
          $(ZLIB_DIR)/infback.c $(ZLIB_DIR)/inftrees.c $(ZLIB_DIR)/inffast.c
ZLIB_OBJ:=$(ZLIB_SRC:%.c=obj/%.o)
ZLIB_DEP:=$(ZLIB_SRC:%.c=obj/%.d)

SAMTOOLS_DIR:=src/external/samtools-0.1.18
SAMTOOLS_SRC:=$(SAMTOOLS_DIR)/bgzf.c \
              $(SAMTOOLS_DIR)/kstring.c \
              $(SAMTOOLS_DIR)/bam_aux.c \
              $(SAMTOOLS_DIR)/bam.c \
              $(SAMTOOLS_DIR)/bam_import.c \
              $(SAMTOOLS_DIR)/sam.c \
              $(SAMTOOLS_DIR)/bam_index.c \
              $(SAMTOOLS_DIR)/bam_pileup.c \
              $(SAMTOOLS_DIR)/bam_lpileup.c \
              $(SAMTOOLS_DIR)/bam_md.c \
              $(SAMTOOLS_DIR)/razf.c \
              $(SAMTOOLS_DIR)/faidx.c \
              $(SAMTOOLS_DIR)/bedidx.c \
              $(SAMTOOLS_DIR)/knetfile.c \
              $(SAMTOOLS_DIR)/bam_sort.c \
              $(SAMTOOLS_DIR)/sam_header.c \
              $(SAMTOOLS_DIR)/bam_reheader.c \
              $(SAMTOOLS_DIR)/kprobaln.c \
              $(SAMTOOLS_DIR)/bam_cat.c
SAMTOOLS_OBJ:=$(SAMTOOLS_SRC:%.c=obj/%.o)
SAMTOOLS_DEP:=$(SAMTOOLS_SRC:%.c=obj/%.d)

# add necessary shared lib dependencies then not building them ourselves
ifeq ($(useshared),yes)
  DEPLIBS:=-lbz2 -lz -lexpat -llua5.1-lpeg -llua5.1 -llua5.1-md5 \
           -llua5.1-filesystem -llua5.1-des56 -lbam -ltre -lm -lpthread
else
  DEPLIBS:=
endif
EXP_LDLIBS += $(DEPLIBS)
GTSHAREDLIB_LIBDEP += $(DEPLIBS)

SERVER=satta@genometools.org
WWWBASEDIR=/var/www/servers

# process arguments
ifeq ($(assert),no)
  EXP_CPPFLAGS += -DNDEBUG
endif

ifeq ($(shell hmmscan -h > /dev/null 2> /dev/null; echo $$?),0)
  STEST_FLAGS += -hmmer
endif

ifeq ($(cov),yes)
  export CCACHE_DISABLE # ccache cannot handle coverage objects
  GT_CFLAGS += -fprofile-arcs -ftest-coverage
  GT_LDFLAGS += -fprofile-arcs -ftest-coverage
  STEST_FLAGS += -gcov
  opt=no
  # hacks to link shared libs with cov=yes
  ifeq ($(SYSTEM),Linux)
    GT_LDFLAGS += -fprofile-arcs -ftest-coverage
  endif
  ifeq ($(MACHINE),amd64)
    GT_LDFLAGS += $(FPIC)
  endif
endif

ifneq ($(opt),no)
  ifeq ($(findstring clang,$(CC)),clang)
    ifeq ($(lto),yes)
      # clang/LLVM supports link-time optimization with -O4
      # Note that on Linux this usually requires additional configuration of
      # LLVM! Consult http://llvm.org/docs/GoldPlugin.html if problems arise.
      GT_CFLAGS += -O4
      GT_CXXFLAGS += -O4
    else
      GT_CFLAGS += -O3
      GT_CXXFLAGS += -O3
    endif
  else
    GT_CFLAGS += -O3
    GT_CXXFLAGS += -O3
  endif
endif

ifeq ($(prof),yes)
  GT_CFLAGS += -pg
  GT_LDFLAGS += -pg
endif

ifeq ($(curl),yes)
  EXP_CPPFLAGS += -DCURLDEF
  GT_CPPFLAGS += -I/usr/include/curl -I/usr/local/include/curl
  EXP_LDLIBS += -lcurl
endif

ifdef testthreads
  STEST_FLAGS += -threads $(testthreads)
endif

ifdef gttestdata
  STEST_FLAGS += -gttestdata $(gttestdata)
endif

ifeq ($(memcheck),yes)
  STEST_FLAGS += -memcheck
endif

# system specific stuff (concerning 64bit compilation)
ifeq ($(SYSTEM),Darwin)
  ifeq ($(64bit),yes)
    m64=yes
  else
    m32=yes
  endif
endif

ifneq ($(SYSTEM),Windows)
  EXP_CPPFLAGS += -DLUA_DL_DLOPEN
  ifneq ($(SYSTEM),FreeBSD)
    LUA_LDLIB:=-ldl
    EXP_LDLIBS += -ldl
  endif
endif

ifneq ($(SYSTEM),Windows)
  EXP_CPPFLAGS += -DLUA_USE_MKSTEMP
endif

ifeq ($(64bit),yes)
  ifneq ($(MACHINE),x86_64)
    m64=yes
  endif
  BIT=64bit
  SPLINTD:=-D_LP64
else
  ifeq ($(MACHINE),x86_64)
    m32=yes
  endif
  BIT=32bit
endif

ifeq ($(m32),yes)
  GT_CFLAGS += -m32
  GT_LDFLAGS += -m32
  SQLITE_CFLAGS += -m32
endif

ifeq ($(m64),yes)
  ifeq (,$(filter $(MACHINE),ia64 alpha mips64 mips64el))
    GT_CFLAGS += -m64
    GT_LDFLAGS += -m64
    SQLITE_CFLAGS += -m64
  endif
endif

ifeq ($(findstring clang,$(CC)),clang)
  # do not complain about unnecessary options
  GT_CFLAGS += -Qunused-arguments -Wno-parentheses
  GT_CPPFLAGS += -Qunused-arguments -Wno-parentheses
endif

# check whether version scripts can be used
ifneq ($(SYSTEM),Darwin)
  ifeq ($(shell ld -V | grep GNU > /dev/null; echo $$?),0)
    HAS_GNU_LD:=yes
    VERSION_SCRIPT:=obj/public_symbols.lst
    VERSION_SCRIPT_PARAM:=-Wl,--version-script=$(VERSION_SCRIPT)
  else
    HAS_GNU_LD:=no
  endif
else
  HAS_GNU_LD:=no
endif

ifneq ($(sharedlib),no)
  SHARED_LIBGENOMETOOLS := lib/libgenometools$(SHARED_OBJ_NAME_EXT)
endif

LIBGENOMETOOLS_DIRS:= src/core \
                      src/extended \
                      src/gtlua \
                      src/match \
                      src/gth \
                      src/ltr \
                      src/mgth

ifneq ($(cairo),no)
  ifeq ($(SYSTEM),Darwin)
    EXP_LDFLAGS:=
  endif
  ifeq ($(HAS_PKGCONFIG),yes)
    GTSHAREDLIB_LIBDEP:= $(GTSHAREDLIB_LIBDEP) \
                         $(shell pkg-config --silence-errors --libs pango) \
                         $(shell pkg-config --silence-errors --libs cairo) \
                         $(shell pkg-config --silence-errors --libs pangocairo)
    EXP_LDLIBS:=$(EXP_LDLIBS) \
                $(shell pkg-config --silence-errors --libs pango) \
                $(shell pkg-config --silence-errors --libs cairo) \
                $(shell pkg-config --silence-errors --libs pangocairo)
  endif
  ANNOTATIONSKETCH_EXAMPLES := bin/examples/sketch_constructed \
                               bin/examples/sketch_parsed_with_ctrack \
                               bin/examples/sketch_parsed_with_ordering \
                               bin/examples/sketch_parsed
  ANNOTATIONSKETCH_MANUAL := doc/manuals/annotationsketch.pdf
  LIBGENOMETOOLS_DIRS:=$(LIBGENOMETOOLS_DIRS) src/annotationsketch
  SKETCH_EXTRA_BINARIES := bin/examples/sketch_parsed \
                           bin/examples/sketch_constructed
else
  EXP_CPPFLAGS += -DWITHOUT_CAIRO
  STEST_FLAGS += -nocairo
  CAIRO_FILTER_OUT:=src/gtlua/annotationsketch_lua.c \

=== src/external/samtools-0.1.18/bcftools/Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE
LOBJS=		bcf.o vcf.o bcfutils.o prob1.o em.o kfunc.o kmin.o index.o fet.o mut.o bcf2qcall.o
OMISC=		..
AOBJS=		call1.o main.o $(OMISC)/kstring.o $(OMISC)/bgzf.o $(OMISC)/knetfile.o $(OMISC)/bedidx.o
PROG=		bcftools
INCLUDES=	
SUBDIRS=	.

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) -I.. $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

lib:libbcf.a

libbcf.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

bcftools:lib $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -L. $(LIBPATH) -lbcf -lm -lz

bcf.o:bcf.h
vcf.o:bcf.h
index.o:bcf.h
bcfutils.o:bcf.h
prob1.o:prob1.h bcf.h
call1.o:prob1.h bcf.h
bcf2qcall.o:bcf.h
main.o:bcf.h

bcf.pdf:bcf.tex
		pdflatex bcf

cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a bcf.aux bcf.log bcf.pdf *.class libbcf.*.dylib libbcf.so*

clean:cleanlocal-recur

=== debian/changelog ===
genometools (1.5.3-2) unstable; urgency=low

  * Reactivate missing patch. 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 05 Sep 2014 14:23:31 +0100

genometools (1.5.3-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 16 Jul 2014 20:32:19 +0100

genometools (1.5.2-4) unstable; urgency=low

  * Incorporate patches addressing type conversion errors (thanks to
    Michael Tautschnig).
    Closes: #748305

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 24 May 2014 18:57:45 +0000

genometools (1.5.2-3) unstable; urgency=low

  * Address building issues on s390x, powerpc and armhf
  * Don't use -m64 for arm64 (thanks to Logan Rosen) 
    Closes: #748708
  * Build-depend on docbook-xsl to fix FTBFS while offline (thanks to
    Logan Rosen)
    Closes: #748709

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 19 May 2014 23:06:34 +0000

genometools (1.5.2-2) unstable; urgency=low

  * Split manuals into separate documents to avoid strange LaTeX build issues. 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 15 May 2014 23:23:20 +0000

genometools (1.5.2-1) unstable; urgency=low

  * New upstream release.
  * Remove symbols file because private symbols are exported (next upstream
    version will properly control exported symbols and a new symbols file
    will be created and maintained)
  * Remove manpages from debian directory as they are now autogenerated on
    build
  * Fix some missing symbols problems 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 15 May 2014 10:51:41 +0000

genometools (1.5.1-3) unstable; urgency=low

  * debian/rules
     - Add basic tests to check whether cairo/pango linking works
     - Clean up indices created by tests to make repeated builds possible
     - Make sure bin/examples/sketch_parsed_with_* are built
     - Enable compiler optimization
  * debian/control
     - Move libgenometools0 package into libs section
     - Switch pango deps to new package
     - Add ruby builddep, required for the testsuite

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Wed, 06 Nov 2013 14:28:41 +0100

=== debian/control ===
Source: genometools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <sascha@steinbiss.name>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               liblua5.1-0-dev,
               lua-md5-dev,
               lua-filesystem-dev,
               lua-lpeg-dev,
               libcairo2-dev,
               zlib1g-dev,
               libbz2-dev,
               libexpat1-dev,
               libncurses5-dev,
               libsqlite3-dev,
               libbam-dev,
               libpango1.0-dev,
               libtre-dev,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-fonts-extra,
               latex-xcolor,
               texlive-fonts-recommended,
               python,
               asciidoc,
               libxml2-utils,
               xsltproc,
               ruby,
               docbook-xsl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
Homepage: http://genometools.org

Package: genometools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis toolkit
 The GenomeTools contains a collection of useful tools for biological
 sequence analysis and -presentation combined into a single binary.
 .
 The toolkit contains binaries for sequence and annotation handling, sequence
 compression, index structure generation and access, annotation visualization,
 and much more.

Package: genometools-common
Architecture: all
Depends: ${misc:Depends},
         liblua5.1-0,
         libcairo2,
         zlib1g,
         libbz2-1.0,
         libexpat1,
         libpth20,
         libncurses5,
         libsqlite3-0,
         libpango-1.0-0,
         libpangocairo-1.0-0,
         libtre5
Description: shared data files for GenomeTools
 This package contains configuration files such as alphabet
 transformations, style files, etc. required to use the GenomeTools
 executable and/or library.

Package: libgenometools0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools-common
Description: versatile genome analysis library
 This package contains the GenomeTools shared library and header
 files. It offers efficient sequence analysis components, available
 via an object-oriented interface.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: libgenometools0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgenometools0 (= ${binary:Version})
Description: development files for GenomeTools
 This package contains the GenomeTools static library and necessary
 header files.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: genometools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for GenomeTools
 This package contains API documentation and tool documentation for
 GenomeTools. The GenomeTools toolkit contains binaries for sequence and
 annotation handling, sequence compression, index structure generation and
 access, annotation visualization, and much more.

Package: genometools-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         genometools (= ${binary:Version}) | libgenometools0 (= ${binary:Version})
Description: versatile genome analysis toolkit, with debug symbols
 This package contains debug information stripped from the GenomeTools.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.

Package: python-genometools
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-ctypes,
         libgenometools0
Description: Python bindings for genometools
 Partial Python2 bindings for the GenomeTools library. Besides basic
 bioinformatics data structures, the library contains components for sequence
 and annotation handling, sequence compression, index structure generation and
 access, efficient matching, annotation visualization and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp
export DH_ALWAYS_EXCLUDE=.gitignore

BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
ifeq ($(BITS),64)
  64BIT:=yes
else
  64BIT:=no
endif

%:
	dh $@ --parallel --with python2

override_dh_auto_clean:
	$(MAKE) cleanup
	cd doc/manuals; make cleanup
	# should be deleted inside doc/manuals/Makefile
	rm -f doc/manuals/annotationsketch.out \
	      doc/manuals/api_reference.tex    \
	      doc/manuals/gtscript_reference.tex
	find doc . -name "*.toc" -delete
	find testdata \( -name '*.ois' -or -name '*.sds' -or -name '*.esq' -or \
	      -name '*.ssp' -or -name '*.des' -or -name "*.md5"  \) -and \( -not \
	      -name '*foo.32.*' -not -name '*foo.64.*' \) -delete
	rm -f www/genometools.org/htdocs/images/callbacks.png \
	      www/genometools.org/htdocs/images/parsed.png    \
	      www/genometools.org/htdocs/images/constructed.png \
	      doc/manuals/annotationsketch.pdf
	rm -f www/genometools.org/htdocs/docs.html \
	      www/genometools.org/htdocs/examples.html \
	      www/genometools.org/htdocs/libgenometools.html \
	      www/genometools.org/htdocs/tools/gt.html
	rm -rf gtpython/build

override_dh_auto_build:
	dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals

override_dh_auto_test:
	bin/gt -test
	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby' -threads 3

override_dh_auto_install:
	dh_auto_install -- installmanpages useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr
	dh_auto_install --sourcedirectory=gtpython --destdir=$(CURDIR)/debian/python-genometools

override_dh_strip:
	dh_strip --dbg-package=genometools-dbg

## genometools 1.5.5

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,14 @@
             -I$(CURDIR)/src/external/expat-2.0.1/lib \
             -I$(CURDIR)/src/external/bzip2-1.0.6 \
             -I$(CURDIR)/src/external/samtools-0.1.18 \
-            -I$(CURDIR)/src/external/sqlite-3.8.0.1 \
+            -I$(CURDIR)/src/external/sqlite-3.8.7.1 \
             -I$(CURDIR)/src/external/tre/include/tre
 
 ifeq ($(shell pkg-config --version > /dev/null 2> /dev/null; echo $$?),0)
   HAS_PKGCONFIG:=yes
+  # Fix for Mac OS X manual building with Homebrew
+  OLD_PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH)
+  OVERRIDE_PC_PATH:=PKG_CONFIG_PATH=$(OLD_PKG_CONFIG_PATH):/usr/local/lib/pkgconfig:/opt/X11/lib/pkgconfig
 else
   HAS_PKGCONFIG:=no
 endif
@@ -38,10 +41,10 @@
   # XXX: check for existence of packages, and emit warning and disable cairo
   # if packages are not available
   ifeq ($(HAS_PKGCONFIG),yes)
-	INCLUDEOPT+=$(shell pkg-config --silence-errors --cflags-only-I pango) \
-	            $(shell pkg-config --silence-errors --cflags-only-I cairo) \
-	            $(shell pkg-config --silence-errors --cflags-only-I pangocairo) \
-	            $(shell pkg-config --silence-errors --cflags-only-I glib-2.0)
+	INCLUDEOPT+=$(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pango) \
+	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I cairo) \
+	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I pangocairo) \
+	            $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --cflags-only-I glib-2.0)
   endif
 endif
 
@@ -97,7 +100,7 @@
   endif
   # these tests are disabled for now on Mac
   TEST_KEYWORDS:=-keywords \
-		'not gt_python and not gt_ruby and not gt_sketch and not gt_seqlensort'
+		'not gt_ruby and not gt_sketch and not gt_seqlensort'
 else
   SHARED_OBJ_NAME_EXT:=.so
   SHARED:=-shared
@@ -151,7 +154,7 @@
 LIBBZ2_OBJ:=$(LIBBZ2_SRC:%.c=obj/%.o)
 LIBBZ2_DEP:=$(LIBBZ2_SRC:%.c=obj/%.d)
 
-SQLITE3_DIR:=src/external/sqlite-3.8.2
+SQLITE3_DIR:=src/external/sqlite-3.8.7.1
 SQLITE3_SRC:=$(SQLITE3_DIR)/sqlite3.c
 SQLITE3_OBJ:=$(SQLITE3_SRC:%.c=obj/%.o)
 SQLITE3_DEP:=$(SQLITE3_SRC:%.c=obj/%.d)
@@ -266,12 +269,28 @@
   STEST_FLAGS += -memcheck
 endif
 
+ifeq ($(64bit),yes)
+  ifeq ($(32bit),yes)
+    $(error Variables set contradictory: 64bit/32bit)
+  endif
+endif
+
+ifeq ($(64bit),no)
+  ifeq ($(32bit),no)
+    $(error Variables set contradictory: 64bit/32bit)
+  endif
+endif
+
 # system specific stuff (concerning 64bit compilation)
 ifeq ($(SYSTEM),Darwin)
-  ifeq ($(64bit),yes)
-    m64=yes
+  ifeq ($(64bit),no)
+    m32=yes
   else
-    m32=yes
+    ifeq ($(32bit),yes)
+      m32=yes
+    else
+      m64=yes
+    endif
   endif
 endif
 
@@ -287,17 +306,24 @@
   EXP_CPPFLAGS += -DLUA_USE_MKSTEMP
 endif
 
-ifeq ($(64bit),yes)
-  ifneq ($(MACHINE),x86_64)
-    m64=yes
-  endif
-  BIT=64bit
-  SPLINTD:=-D_LP64
-else
+ifeq ($(64bit),no)
   ifeq ($(MACHINE),x86_64)
     m32=yes
   endif
   BIT=32bit
+else
+  ifeq ($(32bit),yes)
+    ifeq ($(MACHINE),x86_64)
+      m32=yes
+    endif
+    BIT=32bit
+  else
+    ifneq ($(MACHINE),x86_64)
+      m64=yes
+    endif
+    BIT=64bit
+    SPLINTD:=-D_LP64
+  endif
 endif
 
 ifeq ($(m32),yes)
@@ -307,7 +333,7 @@
 endif
 
 ifeq ($(m64),yes)
-  ifeq (,$(filter $(MACHINE),ia64 alpha mips64 mips64el))
+  ifeq (,$(filter $(MACHINE),ia64 alpha mips64 mips64el aarch64))
     GT_CFLAGS += -m64
     GT_LDFLAGS += -m64
     SQLITE_CFLAGS += -m64
@@ -351,23 +377,8 @@
   endif
   ifeq ($(HAS_PKGCONFIG),yes)
     GTSHAREDLIB_LIBDEP:= $(GTSHAREDLIB_LIBDEP) \
-                         $(shell pkg-config --silence-errors --libs pango) \
-                         $(shell pkg-config --silence-errors --libs cairo) \
-                         $(shell pkg-config --silence-errors --libs pangocairo)
+                         $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs pango) \
+                         $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs cairo) \
+                         $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs pangocairo)
     EXP_LDLIBS:=$(EXP_LDLIBS) \
-                $(shell pkg-config --silence-errors --libs pango) \
-                $(shell pkg-config --silence-errors --libs cairo) \
-                $(shell pkg-config --silence-errors --libs pangocairo)
-  endif
-  ANNOTATIONSKETCH_EXAMPLES := bin/examples/sketch_constructed \
-                               bin/examples/sketch_parsed_with_ctrack \
-                               bin/examples/sketch_parsed_with_ordering \
-                               bin/examples/sketch_parsed
-  ANNOTATIONSKETCH_MANUAL := doc/manuals/annotationsketch.pdf
-  LIBGENOMETOOLS_DIRS:=$(LIBGENOMETOOLS_DIRS) src/annotationsketch
-  SKETCH_EXTRA_BINARIES := bin/examples/sketch_parsed \
-                           bin/examples/sketch_constructed
-else
-  EXP_CPPFLAGS += -DWITHOUT_CAIRO
-  STEST_FLAGS += -nocairo
-  CAIRO_FILTER_OUT:=src/gtlua/annotationsketch_lua.c \
+                $(shell $(OVERRIDE_PC_PATH) pkg-config --silence-errors --libs pango) \

=== debian/changelog ===
genometools (1.5.5-1) unstable; urgency=low

  * New upstream release. 

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 06 Jun 2015 09:49:49 +0000

genometools (1.5.4-2) experimental; urgency=low

  * Work towards reproducibility.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 22 Mar 2015 08:09:07 +0000

genometools (1.5.4-1) experimental; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 12 Dec 2014 12:06:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	rm -rf gtpython/build
 
 override_dh_auto_build:
-	dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
+	faketime "`dpkg-parsechangelog -S date`" dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
 	bin/gt -test

## genometools 1.5.6

=== debian/changelog ===
genometools (1.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 22 Jun 2015 19:26:35 +0000

genometools (1.5.5-2) unstable; urgency=low

  * Disable faketime on hurd-i386 to fix FTBFS on that arch.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 10 Jun 2015 10:03:22 +0000

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,9 @@
                libxml2-utils,
                xsltproc,
                ruby,
-               docbook-xsl
-Standards-Version: 3.9.5
+               docbook-xsl,
+               faketime
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
 Homepage: http://genometools.org

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
   64BIT:=yes
 else
   64BIT:=no
+endif
+# check whether faketime can be used
+ifeq ($(shell faketime 'last friday' date > /dev/null 2> /dev/null; echo $$?),0)
+  FAKETIME:=faketime "`dpkg-parsechangelog -S date`" 
 endif
 
 %:
@@ -37,7 +41,7 @@
 	rm -rf gtpython/build
 
 override_dh_auto_build:
-	faketime "`dpkg-parsechangelog -S date`" dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
+	$(FAKETIME) dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
 	bin/gt -test

## genometools 1.5.7

=== debian/changelog ===
genometools (1.5.7-5) unstable; urgency=medium

  * Try to load correct renamed .so file in Python bindings
  * Refresh patches
  * Use DEB_TARGET_ARCH to determine build archs

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 08 Dec 2015 00:42:49 +0000

genometools (1.5.7-4) unstable; urgency=medium

  * Fix builds on less popular platforms
    - Check if faketime works
    - Do no use -m32/-m64 on x32
  * Improve reproducibility
    - sort files to compile by name
  * Add autopkgtests

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 04 Dec 2015 22:18:11 +0000

genometools (1.5.7-3) unstable; urgency=low

  * d/control: remove obsolete dependency on libncurses5
    Closes: #804576

 -- Sascha Steinbiss <sascha@steinbiss.name>  Mon, 09 Nov 2015 19:15:29 +0000

genometools (1.5.7-2) unstable; urgency=low

  * disable parallel building

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 10 Oct 2015 12:04:37 +0000

genometools (1.5.7-1) unstable; urgency=low

  * New upstream release.
  * d/rules: try ro improve reproducibility

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 13 Sep 2015 08:22:39 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                zlib1g-dev,
                libbz2-dev,
                libexpat1-dev,
-               libncurses5-dev,
                libsqlite3-dev,
                libbam-dev,
                libpango1.0-dev,
@@ -36,7 +35,7 @@
 Homepage: http://genometools.org
 
 Package: genometools
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          genometools-common
@@ -57,7 +56,6 @@
          libbz2-1.0,
          libexpat1,
          libpth20,
-         libncurses5,
          libsqlite3-0,
          libpango-1.0-0,
          libpangocairo-1.0-0,
@@ -68,7 +66,7 @@
  executable and/or library.
 
 Package: libgenometools0
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -84,7 +82,7 @@
  more.
 
 Package: libgenometools0-dev
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -109,7 +107,7 @@
  access, annotation visualization, and much more.
 
 Package: genometools-dbg
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},
@@ -121,7 +119,7 @@
  to help communication with upstream developers.
 
 Package: python-genometools
-Architecture: any
+Architecture: all
 Section: python
 Depends: ${shlibs:Depends},
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,35 @@
 #export DH_VERBOSE=1
 export DESTDIR=$(CURDIR)/debian/tmp
 export DH_ALWAYS_EXCLUDE=.gitignore
+export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
-BITS:=$(shell dpkg-architecture | grep DEB_BUILD_ARCH_BITS | cut -f 2 -d'=')
+DARCH:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH | cut -f 2 -d'=')
+BITS:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH_BITS | cut -f 2 -d'=')
+
+ifeq ($(DARCH),x32)
+  X32:=yes
+else
+  X32:=no
+endif
+
 ifeq ($(BITS),64)
   64BIT:=yes
 else
   64BIT:=no
 endif
+
 # check whether faketime can be used
 ifeq ($(shell faketime 'last friday' date > /dev/null 2> /dev/null; echo $$?),0)
-  FAKETIME:=faketime "`dpkg-parsechangelog -S date`" 
+  FAKETIME:=faketime -f "`TZ=UTC date -d @$(SOURCE_DATE_EPOCH) +'%Y-%m-%d %H:%M:%S'`"
 endif
 
 %:
-	dh $@ --parallel --with python2
+	dh $@ --with python2
 
 override_dh_auto_clean:
 	$(MAKE) cleanup
-	cd doc/manuals; make cleanup
+	cd doc/manuals; $(MAKE) cleanup
 	# should be deleted inside doc/manuals/Makefile
 	rm -f doc/manuals/annotationsketch.out \
 	      doc/manuals/api_reference.tex    \
@@ -41,15 +52,17 @@
 	rm -rf gtpython/build
 
 override_dh_auto_build:
-	$(FAKETIME) dh_auto_build --parallel -- useshared=yes 64bit=$(64BIT) errorcheck=no all docs manuals
+	$(FAKETIME) dh_auto_build -- useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
 
 override_dh_auto_test:
 	bin/gt -test
 	cd testsuite; ./testsuite.rb -keywords 'gt_sketch and not gt_python and not gt_ruby' -threads 3
 
 override_dh_auto_install:
-	dh_auto_install -- installmanpages useshared=yes 64bit=$(64BIT) opt=no errorcheck=no prefix=$(DESTDIR)/usr
-	dh_auto_install --sourcedirectory=gtpython --destdir=$(CURDIR)/debian/python-genometools
+	dh_auto_install -- installmanpages useshared=yes \
+	  x32=$(X32) 64bit=$(64BIT) errorcheck=no prefix=$(DESTDIR)/usr
+	dh_auto_install --sourcedirectory=gtpython \
+	  --destdir=$(CURDIR)/debian/python-genometools
 
 override_dh_strip:
 	dh_strip --dbg-package=genometools-dbg

## genometools 1.5.8

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 BUILDSTAMP:=$(shell date +'"%Y-%m-%d %H:%M:%S"')
 
 # try to set RANLIB automatically
-SYSTEM:=$(shell uname -s)
+SYSTEM?=$(shell uname -s)
 MACHINE:=$(shell uname -m)
 ifeq ($(SYSTEM),Darwin)
   RANLIB:=ranlib
@@ -114,7 +114,7 @@
 EXAMPLES_SRC:=src/example.c
 EXAMPLES_DEP:=$(EXAMPLES_SRC:%.c=obj/%.d)
 
-TOOLS_SRC:=$(wildcard src/tools/*.c)
+TOOLS_SRC:=$(sort $(wildcard src/tools/*.c))
 TOOLS_OBJ:=$(TOOLS_SRC:%.c=obj/%.o)
 TOOLS_DEP:=$(TOOLS_SRC:%.c=obj/%.d)

=== src/external/md5-1.1.2/Makefile ===
# $Id: Makefile,v 1.7 2007/10/11 00:02:56 carregal Exp $

CONFIG= ./config

include $(CONFIG)

ifeq "$(LUA_VERSION_NUM)" "500"
COMPAT_O= $(COMPAT_DIR)/compat-5.1.o
endif

MD5_OBJS= src/md5.o src/md5lib.o $(COMPAT_O)
MD5_LUAS= src/md5.lua
MD5_LIBNAME = core.so

DES56_OBJS= src/des56.o src/ldes56.o
DES56_LIBNAME= des56.so

all: src/$(MD5_LIBNAME) src/$(DES56_LIBNAME)

src/$(MD5_LIBNAME) : $(MD5_OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(MD5_LIBNAME) $(MD5_OBJS)

src/$(DES56_LIBNAME) : $(DES56_OBJS)
	export MACOSX_DEPLOYMENT_TARGET="10.3"; $(CC) $(CFLAGS) $(LIB_OPTION) -o src/$(DES56_LIBNAME) $(DES56_OBJS)

$(COMPAT_DIR)/compat-5.1.o: $(COMPAT_DIR)/compat-5.1.c
	$(CC) -c $(CFLAGS) -o $@ $(COMPAT_DIR)/compat-5.1.c

install: src/$(MD5_LIBNAME) src/$(DES56_LIBNAME)
	mkdir -p $(LUA_LIBDIR)/md5
	cp src/$(MD5_LIBNAME) $(LUA_LIBDIR)/md5/core.so
	mkdir -p $(LUA_DIR)
	cp $(MD5_LUAS) $(LUA_DIR)
	cp src/$(DES56_LIBNAME) $(LUA_LIBDIR)

clean:
	rm -f $(MD5_OBJS) src/$(MD5_LIBNAME) $(DES56_OBJS) src/$(DES56_LIBNAME)

=== src/external/samtools-0.1.18/examples/Makefile ===
all:../libbam.a ../samtools ../bcftools/bcftools \
	ex1.glf ex1.pileup.gz ex1.bam.bai ex1f-rmduppe.bam ex1f-rmdupse.bam ex1.glfview.gz ex1.bcf calDepth
		@echo; echo \# You can now launch the viewer with: \'samtools tview ex1.bam ex1.fa\'; echo;

ex1.fa.fai:ex1.fa
		../samtools faidx ex1.fa
ex1.bam:ex1.sam.gz ex1.fa.fai
		../samtools import ex1.fa.fai ex1.sam.gz ex1.bam
ex1.bam.bai:ex1.bam
		../samtools index ex1.bam
ex1.pileup.gz:ex1.bam ex1.fa
		../samtools mpileup -cf ex1.fa ex1.bam | gzip > ex1.pileup.gz
ex1.glf:ex1.bam ex1.fa
		../samtools mpileup -gf ex1.fa ex1.bam > ex1.glf
ex1.glfview.gz:ex1.glf
		../samtools glfview ex1.glf | gzip > ex1.glfview.gz
ex1a.bam:ex1.bam
		../samtools view -h ex1.bam | awk 'BEGIN{FS=OFS="\t"}{if(/^@/)print;else{$$1=$$1"a";print}}' | ../samtools view -bS - > $@
ex1b.bam:ex1.bam
		../samtools view -h ex1.bam | awk 'BEGIN{FS=OFS="\t"}{if(/^@/)print;else{$$1=$$1"b";print}}' | ../samtools view -bS - > $@
ex1f.rg:
		(echo "@RG	ID:ex1	LB:ex1	SM:ex1"; echo "@RG	ID:ex1a	LB:ex1	SM:ex1"; echo "@RG	ID:ex1b	LB:ex1b	SM:ex1b") > $@
ex1f.bam:ex1.bam ex1a.bam ex1b.bam ex1f.rg
		../samtools merge -rh ex1f.rg $@ ex1.bam ex1a.bam ex1b.bam
ex1f-rmduppe.bam:ex1f.bam
		../samtools rmdup ex1f.bam $@
ex1f-rmdupse.bam:ex1f.bam
		../samtools rmdup -S ex1f.bam $@

ex1.bcf:ex1.bam ex1.fa.fai
		../samtools mpileup -gf ex1.fa ex1.bam > $@

../bcftools/bcftools:
		(cd ../bcftools; make bcftools)

../samtools:
		(cd ..; make samtools)

../libbam.a:
		(cd ..; make libbam.a)

calDepth:../libbam.a calDepth.c
		gcc -g -Wall -O2 -I.. calDepth.c -o $@ -L.. -lbam -lm -lz

clean:
		rm -fr *.bam *.bai *.glf* *.fai *.pileup* *~ calDepth *.dSYM ex1*.rg ex1.bcf

# ../samtools pileup ex1.bam|perl -ape '$_=$F[4];s/(\d+)(??{".{$1}"})|\^.//g;@_=(tr/A-Z//,tr/a-z//);$_=join("\t",@F[0,1],@_)."\n"'

# ../samtools pileup -cf ex1.fa ex1.bam|perl -ape '$_=$F[8];s/\^.//g;s/(\d+)(??{".{$1}"})|\^.//g;@_=(tr/A-Za-z//,tr/,.//);$_=join("\t",@F[0,1],@_)."\n"'

=== debian/changelog ===
genometools (1.5.8-2) unstable; urgency=medium

  * Document migration to Git in d/control
  * Remove unused python-ctypes dependency
  * Update Standards-Version
  * Add dh-python to Build-Depends
  * Fix spelling

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sun, 07 Feb 2016 10:10:25 +0000

genometools (1.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Ensure that /usr/share/genometools/* is complete.
  * Fix spelling.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 07 Jan 2016 22:18:31 +0000

genometools (1.5.7-7) unstable; urgency=medium

  * build API documentation reproducibly

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 12 Dec 2015 19:13:40 +0000

genometools (1.5.7-6) unstable; urgency=medium

  * Reintroduce mips64el which was removed my mistake.
  * Fix detection of x32 build

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 09 Dec 2015 22:20:47 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
-DARCH:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH | cut -f 2 -d'=')
-BITS:=$(shell dpkg-architecture | grep DEB_TARGET_ARCH_BITS | cut -f 2 -d'=')
+DARCH:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH= | cut -f 2 -d'=')
+BITS:=$(shell dpkg-architecture | fgrep DEB_TARGET_ARCH_BITS= | cut -f 2 -d'=')
 
 ifeq ($(DARCH),x32)
   X32:=yes

## genometools 1.5.8+ds

=== debian/changelog ===
genometools (1.5.8+ds-2) unstable; urgency=medium

  * Fix locale (LC_PAPER) for LaTeX runs (reproducibility).
  * Patch documentation generation to gather API symbols in
    deterministic order.
  * Do not delete two docu files in clean step.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 11 Mar 2016 16:10:42 +0000

genometools (1.5.8+ds-1) unstable; urgency=medium

  * Make sure external headers are used for compilation.
    Thanks to Justus Winter for the patch.
  * Add some more spelling fixes.
  * Exclude included third-party library code.
  * Use xz compression for repacked tarballs.
  * Use upstream distributions from GitHub.

 -- Sascha Steinbiss <sascha@steinbiss.name>  Wed, 02 Mar 2016 15:43:46 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
+               dh-python,
                liblua5.1-0-dev,
                lua-md5-dev,
                lua-filesystem-dev,
@@ -28,14 +29,15 @@
                xsltproc,
                ruby,
                docbook-xsl,
-               faketime
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/genometools/trunk/
+               faketime,
+               imagemagick
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/genometools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/genometools.git
 Homepage: http://genometools.org
 
 Package: genometools
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          genometools-common
@@ -66,7 +68,7 @@
  executable and/or library.
 
 Package: libgenometools0
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -82,7 +84,7 @@
  more.
 
 Package: libgenometools0-dev
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -107,7 +109,7 @@
  access, annotation visualization, and much more.
 
 Package: genometools-dbg
-Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k kfreebsd-i386 ppc64 sh4 x32
+Architecture: amd64 arm64 armel armhf i386 mips mipsel powerpc ppc64el s390x alpha hppa hurd-i386 kfreebsd-amd64 m68k mips64el kfreebsd-i386 ppc64 sh4 x32
 Section: debug
 Priority: extra
 Depends: ${shlibs:Depends},
@@ -124,7 +126,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends},
-         python-ctypes,
          libgenometools0
 Description: Python bindings for genometools
  Partial Python2 bindings for the GenomeTools library. Besides basic

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	dh $@ --with python2
 
 override_dh_auto_clean:
+	mkdir obj
 	$(MAKE) cleanup
 	cd doc/manuals; $(MAKE) cleanup
 	# should be deleted inside doc/manuals/Makefile
@@ -45,11 +46,10 @@
 	      www/genometools.org/htdocs/images/parsed.png    \
 	      www/genometools.org/htdocs/images/constructed.png \
 	      doc/manuals/annotationsketch.pdf
-	rm -f www/genometools.org/htdocs/docs.html \
-	      www/genometools.org/htdocs/examples.html \
-	      www/genometools.org/htdocs/libgenometools.html \
-	      www/genometools.org/htdocs/tools/gt.html
+	rm -f www/genometools.org/htdocs/examples.html \
+	      www/genometools.org/htdocs/libgenometools.html
 	rm -rf gtpython/build
+	rm -rf obj
 
 override_dh_auto_build:
 	$(FAKETIME) dh_auto_build -- useshared=yes x32=$(X32) 64bit=$(64BIT) errorcheck=no all docs manuals
